<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/Views/ModuleIndex/ModuleIndex.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.Views.ModuleIndex.ModuleIndex</title>
<link href="../../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../../Synopsis.html" >Synopsis</a>.<a href="../../../../Formatters.html" >Formatters</a>.<a href="../../../HTML.html" >HTML</a>.<a href="../../Views.html" >Views</a>.<a href="../ModuleIndex.html" >ModuleIndex</a>
</div><div class="class-name">class ModuleIndex

</div><div class="links"><div class="file">File: <a href="../../../../../../File/Synopsis/Formatters/HTML/Views/ModuleIndex.py.html" target="detail">../Synopsis/Formatters/HTML/Views/ModuleIndex.py</a></div> <div class="xref"><a href="../../../../../../XRef/xref14.html#Synopsis.Formatters.HTML.Views.ModuleIndex.ModuleIndex" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/ModuleIndex.py.html#line14" ><img src="../../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="ModuleIndex-inheritance" src="ModuleIndex-inheritance.png" hspace="8" vspace="8" border="0" usemap="#ModuleIndex-inheritance_map" />
<map name="ModuleIndex-inheritance_map"></map>
 <div class="doc">A module for indexing ASG.Modules. Each module gets its own view with a
   list of nested scope declarations with documentation. It is intended to go in
   the left frame...</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="register">register</a>(<span class="variable">self</span>, <span class="variable">frame</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref14.html#Synopsis.Formatters.HTML.Views.ModuleIndex.ModuleIndex.register" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/ModuleIndex.py.html#line19" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="filename">filename</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref14.html#Synopsis.Formatters.HTML.Views.ModuleIndex.ModuleIndex.filename" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/ModuleIndex.py.html#line25" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="title">title</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref14.html#Synopsis.Formatters.HTML.Views.ModuleIndex.ModuleIndex.title" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/ModuleIndex.py.html#line29" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref14.html#Synopsis.Formatters.HTML.Views.ModuleIndex.ModuleIndex.process" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/ModuleIndex.py.html#line33" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="ModuleIndex.html#make_view_heading" >make_view_heading</a></span>(<span class="variable">self</span>, <span class="variable">module</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref14.html#Synopsis.Formatters.HTML.Views.ModuleIndex.ModuleIndex.make_view_heading" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/ModuleIndex.py.html#line40" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Creates a HTML fragment which becomes the name at the top of the
      index view.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="ModuleIndex.html#process_module_index" >process_module_index</a></span>(<span class="variable">self</span>, <span class="variable">module</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref14.html#Synopsis.Formatters.HTML.Views.ModuleIndex.ModuleIndex.process_module_index" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/ModuleIndex.py.html#line55" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="make_view_heading">make_view_heading</a>(<span class="variable">self</span>, <span class="variable">module</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref14.html#Synopsis.Formatters.HTML.Views.ModuleIndex.ModuleIndex.make_view_heading" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/ModuleIndex.py.html#line40" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Creates a HTML fragment which becomes the name at the top of the
      index view. This may be overridden&#44; but the default is &#40;now&#41; to make a
      linked fully scoped name&#44; where each scope has a link to the relevant
      index.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process_module_index">process_module_index</a>(<span class="variable">self</span>, <span class="variable">module</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref14.html#Synopsis.Formatters.HTML.Views.ModuleIndex.ModuleIndex.process_module_index" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/ModuleIndex.py.html#line55" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Index one module</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:11 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
